
From: Nishanth Aravamudan <nacc@us.ibm.com>

Replace schedule_timeout() with ssleep() to guarantee the task delays as
expected.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Chris Zankel <chris@zankel.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/xtensa/kernel/traps.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/xtensa/kernel/traps.c~xtensa-use-ssleep-instead-of-schedule_timeout arch/xtensa/kernel/traps.c
--- 25/arch/xtensa/kernel/traps.c~xtensa-use-ssleep-instead-of-schedule_timeout	Mon Jul 11 17:28:12 2005
+++ 25-akpm/arch/xtensa/kernel/traps.c	Mon Jul 11 17:28:28 2005
@@ -29,6 +29,7 @@
 #include <linux/module.h>
 #include <linux/stringify.h>
 #include <linux/kallsyms.h>
+#include <linux/delay.h>
 
 #include <asm/ptrace.h>
 #include <asm/timex.h>
@@ -488,8 +489,7 @@ void die(const char * str, struct pt_reg
 
 	if (panic_on_oops) {
 		printk(KERN_EMERG "Fatal exception: panic in 5 seconds\n");
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(5 * HZ);
+		ssleep(5);
 		panic("Fatal exception");
 	}
 	do_exit(err);
_
